<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>PStmtKeyCPDS (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PStmtKeyCPDS (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PStmtKeyCPDS.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html" title="class in org.apache.commons.dbcp2.cpdsadapter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html" target="_top">Frames</a></li>
<li><a href="PStmtKeyCPDS.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.apache.commons.dbcp2.PStmtKey">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.dbcp2.cpdsadapter</div>
<h2 title="Class PStmtKeyCPDS" class="title">Class PStmtKeyCPDS</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">org.apache.commons.dbcp2.PStmtKey</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.dbcp2.cpdsadapter.PStmtKeyCPDS</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">Use <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2"><code>PStmtKey</code></a>.</span></div>
</div>
<br>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public class <span class="typeNameLabel">PStmtKeyCPDS</span>
extends <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a></pre>
<div class="block">A key uniquely identifying a <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html#PStmtKeyCPDS-java.lang.String-">PStmtKeyCPDS</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html#PStmtKeyCPDS-java.lang.String-int-">PStmtKeyCPDS</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
            int&nbsp;autoGeneratedKeys)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html#PStmtKeyCPDS-java.lang.String-int:A-">PStmtKeyCPDS</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
            int[]&nbsp;columnIndexes)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html#PStmtKeyCPDS-java.lang.String-int-int-">PStmtKeyCPDS</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
            int&nbsp;resultSetType,
            int&nbsp;resultSetConcurrency)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html#PStmtKeyCPDS-java.lang.String-int-int-int-">PStmtKeyCPDS</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
            int&nbsp;resultSetType,
            int&nbsp;resultSetConcurrency,
            int&nbsp;resultSetHoldability)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html#PStmtKeyCPDS-java.lang.String-java.lang.String:A-">PStmtKeyCPDS</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;columnNames)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.dbcp2.PStmtKey">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.dbcp2.<a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html" title="class in org.apache.commons.dbcp2">PStmtKey</a></h3>
<code><a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#createStatement-java.sql.Connection-">createStatement</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#equals-java.lang.Object-">equals</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getAutoGeneratedKeys--">getAutoGeneratedKeys</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getCatalog--">getCatalog</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getColumnIndexes--">getColumnIndexes</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getColumnNames--">getColumnNames</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getResultSetConcurrency--">getResultSetConcurrency</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getResultSetHoldability--">getResultSetHoldability</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getResultSetType--">getResultSetType</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getSchema--">getSchema</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getSql--">getSql</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#getStmtType--">getStmtType</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#hashCode--">hashCode</a>, <a href="../../../../../org/apache/commons/dbcp2/PStmtKey.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PStmtKeyCPDS-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKeyCPDS</h4>
<pre>public&nbsp;PStmtKeyCPDS(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
</dl>
</li>
</ul>
<a name="PStmtKeyCPDS-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKeyCPDS</h4>
<pre>public&nbsp;PStmtKeyCPDS(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                    int&nbsp;autoGeneratedKeys)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>autoGeneratedKeys</code> - A flag indicating whether auto-generated keys should be returned; one of
            <code>Statement.RETURN_GENERATED_KEYS</code> or <code>Statement.NO_GENERATED_KEYS</code>.</dd>
</dl>
</li>
</ul>
<a name="PStmtKeyCPDS-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKeyCPDS</h4>
<pre>public&nbsp;PStmtKeyCPDS(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                    int&nbsp;resultSetType,
                    int&nbsp;resultSetConcurrency)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>resultSetType</code> - A result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code>.</dd>
</dl>
</li>
</ul>
<a name="PStmtKeyCPDS-java.lang.String-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKeyCPDS</h4>
<pre>public&nbsp;PStmtKeyCPDS(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                    int&nbsp;resultSetType,
                    int&nbsp;resultSetConcurrency,
                    int&nbsp;resultSetHoldability)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>resultSetType</code> - a result set type; one of <code>ResultSet.TYPE_FORWARD_ONLY</code>,
            <code>ResultSet.TYPE_SCROLL_INSENSITIVE</code>, or <code>ResultSet.TYPE_SCROLL_SENSITIVE</code>.</dd>
<dd><code>resultSetConcurrency</code> - A concurrency type; one of <code>ResultSet.CONCUR_READ_ONLY</code> or
            <code>ResultSet.CONCUR_UPDATABLE</code></dd>
<dd><code>resultSetHoldability</code> - One of the following <code>ResultSet</code> constants: <code>ResultSet.HOLD_CURSORS_OVER_COMMIT</code>
            or <code>ResultSet.CLOSE_CURSORS_AT_COMMIT</code>.</dd>
</dl>
</li>
</ul>
<a name="PStmtKeyCPDS-java.lang.String-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PStmtKeyCPDS</h4>
<pre>public&nbsp;PStmtKeyCPDS(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                    int[]&nbsp;columnIndexes)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>columnIndexes</code> - An array of column indexes indicating the columns that should be returned from the inserted row or
            rows.</dd>
</dl>
</li>
</ul>
<a name="PStmtKeyCPDS-java.lang.String-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PStmtKeyCPDS</h4>
<pre>public&nbsp;PStmtKeyCPDS(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;sql,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;columnNames)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Constructs a key to uniquely identify a prepared statement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sql</code> - The SQL statement.</dd>
<dd><code>columnNames</code> - An array of column names indicating the columns that should be returned from the inserted row or rows.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PStmtKeyCPDS.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/dbcp2/cpdsadapter/DriverAdapterCPDS.html" title="class in org.apache.commons.dbcp2.cpdsadapter"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/cpdsadapter/PStmtKeyCPDS.html" target="_top">Frames</a></li>
<li><a href="PStmtKeyCPDS.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.apache.commons.dbcp2.PStmtKey">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
